MapAttributeJoin (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class MapAttributeJoin<O,K,V>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.path.AbstractPathImpl<X>
                          org.hibernate.ejb.criteria.path.AbstractFromImpl<Z,X>
                              org.hibernate.ejb.criteria.path.AbstractJoinImpl<O,E>
                                  org.hibernate.ejb.criteria.path.PluralAttributeJoinSupport<O,Map<K,V>,V>
                                      org.hibernate.ejb.criteria.path.MapAttributeJoin<O,K,V>

All Implemented Interfaces:
  Serializable, Expression<V>, Fetch<O,V>, FetchParent<O,V>, From<O,V>, Join<O,V>, MapJoin<O,K,V>, Path<V>, PluralJoin<O,Map<K,V>,V>, Selection<V>, TupleElement<V>, ExpressionImplementor<V>, FromImplementor<O,V>, JoinImplementor<O,V>, MapJoinImplementor<O,K,V>, ParameterContainer, PathImplementor<V>, PathSource<V>, Renderable, SelectionImplementor<V>, TupleElementImplementor<V>

    public class MapAttributeJoin<O,K,V>

extends PluralAttributeJoinSupport<O,Map<K,V>,V>
implements MapJoinImplementor<O,K,V>, Serializable

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`AbstractFromImpl.BasicJoinScope, AbstractFromImpl.CorrelationJoinScope, AbstractFromImpl.JoinScope<X>`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary

Fields inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`DEFAULT_JOIN_TYPE`

Constructor Summary
`MapAttributeJoin(CriteriaBuilderImpl criteriaBuilder, Class<V> javaType, PathSource<O> pathSource, MapAttribute<? super O,K,V> joinAttribute, JoinType joinType)`

Method Summary
`MapAttributeJoin<O,K,V>` | `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type
`protected FromImplementor<O,V>` | `createCorrelationDelegate()`
`Expression<Map.Entry<K,V>>` | `entry()`
`MapAttribute<? super O,K,V>` | `getAttribute()` Retrieve reference to the attribute this path represents.
`MapAttribute<? super O,K,V>` | `getModel()`
`Path<K>` | `key()`
`Path<V>` | `value()`

Methods inherited from class org.hibernate.ejb.criteria.path.PluralAttributeJoinSupport
`canBeDereferenced, canBeJoinSource, isBasicCollection, locateManagedType`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractJoinImpl
`getJoinType, getParent, renderTableExpression`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`canBeFetchSource, fetch, fetch, fetch, fetch, fetch, fetch, getAlias, getCorrelationParent, getFetches, getJoins, getPathIdentifier, getPathSource, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet, locateAttributeInternal, prepareAlias, prepareCorrelationDelegate, render, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractPathImpl
`get, get, get, get, getParentPath, illegalDereference, locateAttribute, registerAttributePath, registerParameters, resolveCachedAttributePath, type, unknownAttribute`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Fetch
`getJoinType, getParent`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate, renderTableExpression`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.Join
`getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Constructor Detail

### MapAttributeJoin

    public MapAttributeJoin(CriteriaBuilderImpl criteriaBuilder,
                            Class<V> javaType,
                            PathSource<O> pathSource,
                            MapAttribute<? super O,K,V> joinAttribute,
                            JoinType joinType)

Method Detail

### getAttribute

    public MapAttribute<? super O,K,V> getAttribute()

  Description copied from class: `AbstractJoinImpl`
  Retrieve reference to the attribute this path represents.

  Specified by:
    `getAttribute` in interface `Fetch<O,V>`
  Specified by:
    `getAttribute` in interface `Join<O,V>`
  Specified by:
    `getAttribute` in interface `PathImplementor<V>`
  Overrides:
    `getAttribute` in class `PluralAttributeJoinSupport<O,Map<K,V>,V>`
  Returns:
    The metamodel attribute.

### getModel

    public MapAttribute<? super O,K,V> getModel()

  Specified by:
    `getModel` in interface `MapJoin<O,K,V>`
  Specified by:
    `getModel` in interface `Path<V>`
  Specified by:
    `getModel` in interface `PluralJoin<O,Map<K,V>,V>`
  Overrides:
    `getModel` in class `PluralAttributeJoinSupport<O,Map<K,V>,V>`

### correlateTo

    public final MapAttributeJoin<O,K,V> correlateTo(CriteriaSubqueryImpl subquery)

  Description copied from interface: `JoinImplementor`

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<O,V>`
  Specified by:
    `correlateTo` in interface `JoinImplementor<O,V>`
  Specified by:
    `correlateTo` in interface `MapJoinImplementor<O,K,V>`
  Overrides:
    `correlateTo` in class `AbstractJoinImpl<O,V>`

### createCorrelationDelegate

    protected FromImplementor<O,V> createCorrelationDelegate()

  Specified by:
    `createCorrelationDelegate` in class `AbstractFromImpl<O,V>`

### value

    public Path<V> value()

  Specified by:
    `value` in interface `MapJoin<O,K,V>`

### entry

    public Expression<Map.Entry<K,V>> entry()

  Specified by:
    `entry` in interface `MapJoin<O,K,V>`

### key

    public Path<K> key()

  Specified by:
    `key` in interface `MapJoin<O,K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.